error_log stderr info;
pid nginx.pid;
daemon off;
events {
    worker_connections 64;
}
http {
    access_log off;
    proxy_cache_path cache levels=2 keys_zone=cache_zone:1m inactive=24h max_size=10m;
    proxy_temp_path temp;
    server {
        listen 127.0.0.2:8080;
        location / {
            proxy_pass http://127.0.0.3:8080;
            proxy_cache cache_zone;
        }
    }
    server {
        listen 127.0.0.3:8080;
        location /success {
            add_header Cache-Control "max-age=3600";
            add_header Expires "Tue, 15 Nov 1994 12:45:26 GMT";
            return 200 "Hello world!";
        }
        location /fail {
            add_header Expires "Tue, 15 Nov 1994 12:45:26 GMT";
            add_header Cache-Control "max-age=3600";
            return 200 "Hello world!";
        }
    }
}
